package com.ruoyi.system.user.service;

import com.ruoyi.common.core.domain.entity.User;
import com.ruoyi.common.core.domain.vo.UserVO;

public interface UserConverter {

    /**
     * 新增用户
     */
    UserVO toVOByCreate(UserVO user);

    /**
     * 修改用户
     */
    UserVO toVOByUpdate(UserVO user);

    /**
     * 转换成修改用户基础信息VO
     */
    UserVO toBasicInfoVOByUpdate(User user);
}
